### Method

# WebKit2WebExtension DOMDOMSelection get_range_at

deprecated: 2.22 since: 2.16

#### Declaration [src]

    WebKitDOMRange*
    webkit_dom_dom_selection_get_range_at (
      WebKitDOMDOMSelection* self,
      gulong index,
      GError** error
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`index`

  Type: `gulong`

  A #gulong.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMRange`

A `WebKitDOMRange`.

The caller of the method takes ownership of the data, and is responsible for freeing it.